org.apache.fontbox.ttf.model

## Interface GsubData

All Known Implementing Classes:
  MapBackedGsubData

    public interface GsubData

Model for data from the GSUB tables

Author:
  Palash Ray

### Field Summary

Fields
`static GsubData` `NO_DATA_FOUND` To be used when there is no GSUB data available

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActiveScriptName()` A `Language` can have more than one script that is supported.
`ScriptFeature` `getFeature(String featureName)`
`Language` `getLanguage()`
`Set<String>` `getSupportedFeatures()`
`boolean` `isFeatureSupported(String featureName)`

### Field Detail

#### NO_DATA_FOUND

    static final GsubData NO_DATA_FOUND

To be used when there is no GSUB data available

### Method Detail

#### getLanguage

    Language getLanguage()

#### getActiveScriptName

    String getActiveScriptName()

A `Language` can have more than one script that is supported. However, at any given point, only one of the many scripts are active.

Returns:
  The name of the script that is active.

#### isFeatureSupported

    boolean isFeatureSupported(String featureName)

#### getFeature

    ScriptFeature getFeature(String featureName)

#### getSupportedFeatures

    Set<String> getSupportedFeatures()